diff options
author | Tom Ryder <tom@sanctum.geek.nz> | 2013-09-14 17:08:49 +1200 |
---|---|---|
committer | Tom Ryder <tom@sanctum.geek.nz> | 2013-09-14 17:42:03 +1200 |
commit | 8d0d01c441aec1227cd3013a5743b96f6bc8bf00 (patch) | |
tree | 058b56a9b720130da6d97eefc6320bd1f125683f | |
parent | Fix harebrained printf patterns (diff) | |
download | psshd-8d0d01c441aec1227cd3013a5743b96f6bc8bf00.tar.gz psshd-8d0d01c441aec1227cd3013a5743b96f6bc8bf00.zip |
Improve variable name
-rwxr-xr-x | psshd | 8 |
1 files changed, 4 insertions, 4 deletions
@@ -54,14 +54,14 @@ if ! [[ "$port" ]]; then fi # Set up a PID dir -dir=${TMPDIR:-/tmp}/psshd-${UID} -if ! mkdir -p "$dir"; then - printf 'Could not create directory %s for PID file\n' "$dir" >&2 +rundir=${TMPDIR:-/tmp}/psshd-${UID} +if ! mkdir -p "$rundir"; then + printf 'Could not create directory %s for PID file\n' "$rundir" >&2 exit 1 fi # Export the two settings autossh absolutely needs -AUTOSSH_PIDFILE=${dir}/psshd-port-${port}.pid +AUTOSSH_PIDFILE=${rundir}/psshd-port-${port}.pid AUTOSSH_PORT=$port export AUTOSSH_PIDFILE AUTOSSH_PORT |